#!/bin/bash
set -e
python3 manage.py collectstatic --no-input
rm -rf /app/webcontent/static
cp -a /app/static /app/webcontent/static

python3 manage.py migrate
# python3 manage.py shell -c "import os; from django.contrib.auth import get_user_model; User = get_user_model(); User.objects.filter(email=os.environ['SUPER_EMAIL']).delete(); User.objects.create_superuser(os.environ['SUPER_USERNAME'], os.environ['SUPER_EMAIL'], os.environ['SUPER_PASSWORD'])"

uwsgi -s 0.0.0.0:8080 \
    --uid app --gid app \
    --chdir=/app/ \
    --module uhepp_org.wsgi:application \
    --env DJANGO_SETTINGS_MODULE=uhepp_org.settings \
    --master --pidfile=/tmp/project-master.pid \
    --processes 5
