
from django.core.management.base import BaseCommand
from uhepp_vault.models import Plot


class Command(BaseCommand):
    def handle(self, *args, **options):
        print("Requesting previews...")
        for plot in Plot.objects.filter(preview__isnull=True):
            print(f"  Scheduling {plot.uuid}")
            plot.request_preview()
        print("Done")
