#!/bin/bash

set +e

source /etc/borg/.env

mkdir -p /var/dumps
pg_dump > /var/dumps/backup.sql

export ARCHIVE=$(date --iso-8601=minutes)

borg create ::${ARCHIVE} /var/dumps/*
borg prune --stats --list ${PRUNE_ARGS}
echo
echo
